Get session information
curl --request GET \
--url https://{host}/api/sessions/{session} \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/sessions/{session}"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/sessions/{session}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session": "my-session",
"status": "authenticated",
"authenticated": true,
"config": {
"store": {
"dialect": "sqlite3",
"address": "/app/data/whatsmeow.db"
},
"log": {
"level": "INFO"
}
}
}
Sessions
Get Session
Get information of a specific session
GET
/
api
/
sessions
/
{session}
Get session information
Description
This endpoint returns detailed information about a specific session, including its current status (active, paused, authenticated, etc.) and configurations.URL Parameters
string
required
Unique session ID to be queried
Response
string
required
ID of the session
string
required
Current status of the session: “active”, “stopped”, “disconnected”, “authenticated”
boolean
required
Indicates if the session is authenticated on WhatsApp
object
Session configurations (if available)
{
"session": "my-session",
"status": "authenticated",
"authenticated": true,
"config": {
"store": {
"dialect": "sqlite3",
"address": "/app/data/whatsmeow.db"
},
"log": {
"level": "INFO"
}
}
}
Status Codes
200- Information obtained successfully400- Invalid parameters404- Session not found
Usage Example
curl -X GET https://api.wappfy.com.br/api/sessions/my-session
const session = 'my-session';
const response = await fetch(`https://api.wappfy.com.br/api/sessions/${session}`);
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
response = requests.get(f'https://api.wappfy.com.br/api/sessions/{session}')
data = response.json()
print(data)
Authorizations
Your Wappfy API key (get it at dash.wappfy.com.br)
Path Parameters
The session name (instanceName) you want to query
